Subject: Re: linux-next: manual merge of the kvm tree with Linus' and the tip trees

From: Paolo Bonzini <[email-masked]>
Date: Mon, 15 Jan 2018 23:45:50 +0100

On 15/01/2018 19:36, Thomas Gleixner wrote:
>> Can KVM folks please stop doing random changes to the cpufeatures code
>> without talking to x86 maintainers and Borislav?
>>
>> This wants to go through TIP or at least reviewed and acked.
> In fact it needs to go through TIP. We spent a lot of effort to make the
> backporting of all this mess simple and this is just shooting a hole in it.

I do understand why you want this to go through TIP, but I'm not sure
why a change to Processor Tracing is related to PTI or retpolines.  I'm
also not sure why it is a problem for backportability, since we always
try to send pull requests after TIP.  Is it because 7*32+15 will be free
in 4.16 but not earlier?

FWIW, no changes for IBRS or RSB stuffing are going through the KVM tree
before the bare metal parts are there.  I posted those mostly for people
(mostly the cloud providers that had been left in the dark) who wanted
something to apply quickly and didn't care about bare metal protection
because they could assume that any attack path passed through a vmexit.

Paolo

> Please drop that change and we sort something out how it can be done proper.
> 
> Dammit, we have a well established process for stuff like that.